Skip to content
Leadtime
English
Esc
↑↓navigate↵open⌘Jpreview

Update workspace color preference

Updates the user’s workspace color theme preference. The workspace color affects the visual theme of the application interface for this user.

POST/account/workspace-color
Authorization
AuthorizationOAuth2 access token · headerrequired
Scopes:api:write
or
AuthorizationBearer token (JWT) · headerrequired
Request body
requiredapplication/json
colorstringrequired

New workspace color

Allowed:INHERITDEFAULTBLACKREDROSEMAGENTAGREENBLUESKYYELLOWVIOLET
Responses
200
successbooleanrequired

Operation success flag

401

Unauthorized - Invalid or missing authentication token

403

Forbidden - Insufficient API scopes or permissions

404

User not found

Try it
Server
Authorization
Bodyapplication/json
Request
curl -X POST "https://leadtime.app/api/public/account/workspace-color" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "color": "INHERIT"
}'
Response
{
  "success": true
}